import { EventEmitter, AfterViewInit, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { ProcessService } from '../../services/process.service';
import { Task, Dock, FVDoneResponse } from '../../models';
import { ApiService, DGSNotificationService } from '@dotgov/core';
import { TabsetComponent } from 'ngx-bootstrap/tabs';
import { ObjectLiteral } from '../../models/objectLiteral';
/**
 * @Author [GrigoreMe](https://github.com/grigoreme)
 */
export declare class FVRendererComponent implements AfterViewInit, OnDestroy {
    private process;
    private ref;
    private api;
    private notification;
    error: string;
    showBuilder: boolean;
    builderTask: any;
    builderModels: any;
    showPreview: boolean;
    previewBuilderTask: any;
    previewBuilderModels: any;
    private subscriptions;
    private _canRunBuilder;
    private _parentTask;
    private _activeTask;
    private _task;
    private _localLoading;
    private _disabled;
    private _hideName;
    loading: boolean;
    firstLevel: boolean;
    parentTask: Task;
    task: Task;
    hideName: boolean;
    disabled: boolean;
    onDone: EventEmitter<FVDoneResponse>;
    onLoaded: EventEmitter<any>;
    titleUpdated: EventEmitter<string>;
    taskUpdated: EventEmitter<Task>;
    tabset: TabsetComponent;
    formRenderer: any;
    formContainer: any;
    constructor(process: ProcessService, ref: ChangeDetectorRef, api: ApiService, notification: DGSNotificationService);
    ngAfterViewInit(): void;
    updateTitle(title: any): void;
    loadPreview(previewData: any): void;
    updateFormGroup(event: any): void;
    _onDone(response: FVDoneResponse): void;
    _onErrors(errors: ObjectLiteral<number>): void;
    openBuilder(): Promise<void>;
    hideBuilder(): void;
    hidePreview(): void;
    onBuilderSave({models, task}: {
        models: any;
        task: any;
    }): void;
    readonly isGrid: boolean;
    readonly loadingStatus: boolean;
    readonly dockedTop: Dock[];
    readonly dockedBottom: Dock[];
    readonly docked: Dock[];
    readonly stateId: string;
    readonly processId: string;
    readonly canRunBuilder: boolean;
    readonly progressPercentage: string;
    private readonly form;
    private scrollToTop();
    /**
     * Execute CB out of angular context.
     * @param cb
     */
    private hackLook(cb);
    private evalOnLoad(task, script);
    ngOnDestroy(): void;
}
